Upload product variation image
Last updated
Was this helpful?
POST https://app.ecwid.com/api/v3/{storeId}/products/{productId}/combinations/{combinationId}/image
Your app must have the following access scopes to make this request: read_catalog, update_catalog
All path params are required.
storeId
number
Ecwid store ID.
productId
number
Internal product ID.
combinationId
number
Internal product variation ID.
All query params are optional.
externalUrl
boolean
HTTPS link to the image file that will be uploaded to the store. Alternatively, you can send the image as binary data in the request body.
The Authorization header is required.
Authorization
Bearer secret_ab***cd
Access token of the application.
A JSON object with the following fields:
id
number
Internal ID of the uploaded image.
Last updated
Was this helpful?
Was this helpful?
